import { MetaCrawlerService } from './meta-crawler.service';
import { MetaCrawlerInputItemService } from './meta-crawler-input-item.service';
import { MetaHistoryTypeService } from './meta-history-type.service';
import { MetaInfraTypeService } from './meta-infra-type.service';
import { MetaInfraVendorService } from './meta-infra-vendor.service';
import { MetaInputTypeService } from './meta-input-type.service';
import { MetaMemberStatusService } from './meta-member-status.service';
import { MetaNoAuthProbeStatusService } from './meta-noauth-probe-status.service';
import { MetaNotificationService } from './meta-notification.service';
import { MetaProbeArchitectureService } from './meta-probe-architecture.service';
import { MetaProbeOsService } from './meta-probe-os.service';
import { MetaProbePackageService } from './meta-probe-package.service';
import { MetaProbeStatusService } from './meta-probe-status.service';
import { MetaProbeTaskTypeService } from './meta-probe-task-type.service';
import { MetaProbeVersionService } from './meta-probe-version.service';
import { MetaSensorDisplayItemService } from './meta-sensor-display-item.service';
import { MetaSensorDisplayMappingService } from './meta-sensor-display-mapping.service';
import { MetaSensorItemService } from './meta-sensor-item.service';
import { MetaSensorItemKeyService } from './meta-sensor-item-key.service';
import { MetaSensorItemTypeService } from './meta-sensor-item-type.service';
import { MetaSensorItemUnitService } from './meta-sensor-item-unit.service';
import { MetaSensorStatusService } from './meta-sensor-status.service';
import { MetaVendorCrawlerService } from './meta-vendor-crawler.service';
import { MetaVendorCrawlerSensorItemService } from './meta-vendor-crawler-sensor-item.service';

export const SERVICES = [
  MetaCrawlerService,
  MetaCrawlerInputItemService,
  MetaHistoryTypeService,
  MetaInfraTypeService,
  MetaInfraVendorService,
  MetaInputTypeService,
  MetaMemberStatusService,
  MetaNoAuthProbeStatusService,
  MetaNotificationService,
  MetaProbeArchitectureService,
  MetaProbeOsService,
  MetaProbePackageService,
  MetaProbeStatusService,
  MetaProbeTaskTypeService,
  MetaProbeVersionService,
  MetaSensorDisplayItemService,
  MetaSensorDisplayMappingService,
  MetaSensorItemService,
  MetaSensorItemKeyService,
  MetaSensorItemTypeService,
  MetaSensorItemUnitService,
  MetaSensorStatusService,
  MetaVendorCrawlerService,
  MetaVendorCrawlerSensorItemService,
];
