import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaProbeOs, MetaProbePackage } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaProbePackageService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAllByMetaProbeOsID(metaProbeOsID: number): Observable<MetaProbePackage[]> {
    return this.rpcService.call('MetaProbePackageService.readAllByMetaProbeOsID', metaProbeOsID);
  }
}
