import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaSensorDisplayItem, MetaSensorItemKey } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaSensorDisplayMappingService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAllMetaSensorItemKeyByDisplayItemID(metaSensorDisplayItemID: number): Observable<MetaSensorItemKey[]> {
    return this.rpcService.call('MetaSensorDisplayMappingService.readAllMetaSensorItemKeyByDisplayItemID', metaSensorDisplayItemID);
  }
}
