import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { UIModule } from '@overflow/shared/ui/ui.module';

import { COMPONENTS } from './component';
import { SERVICES } from './service';
import { SensorModule } from '../sensor/sensor.module';
import { InfraModule } from '../infra/infra.module';

@NgModule({
  imports: [
    CommonModule,
    // SensorModule,
    UIModule,
    // InfraModule
  ],
  declarations: [
    COMPONENTS,
  ],
  exports: [
    COMPONENTS,
  ],
  providers: [
    SERVICES,
  ],
})
export class TargetModule { }
