import { NgModule, Inject } from '@angular/core';
import { CommonModule } from '@angular/common';

import { UIModule } from '@overflow/shared/ui/ui.module';

import { TabbarComponent } from './app.tabbar.component';

@NgModule({
  imports: [
    CommonModule,
    UIModule,
  ],
  declarations: [
    TabbarComponent,
  ],
  exports: [
    TabbarComponent,
  ],
})
export class TabbarModule {
}
