import {Component, Input, OnInit} from '@angular/core';
import {ActivatedRoute, Router} from '@angular/router';

@Component({
  selector: 'of-pages-target-list',
  templateUrl: './target-list-page.component.html',
})
export class TargetListPageComponent implements OnInit {

  @Input() probeID: number;
  pageIdx: number;

  constructor(
    private router: Router,
    private route: ActivatedRoute
  ) { }

  ngOnInit() {

  }

  onPageChange(pageNo: number) {
    this.pageIdx = pageNo + 1;
    this.router.navigate(['/probe', this.probeID, 'target'], { queryParams: { page: pageNo + 1 } });
  }
}
