import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';

import { RPCService } from '@loafer/ng-rpc';

import { InfraHost } from '@overflow/commons-typescript/model/infra';

@Injectable()
export class InfraHostService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  // public readAllByDomain(domain: Domain, pageParams: PageParams): Observable<Page> {
  //   return this.rpcService.call('InfraService.readAllByDomain', domain, pageParams);
  // }

  // public readAllByProbe(probe: Probe, pageParams: PageParams): Observable<Page> {
  //   return this.rpcService.call('InfraService.readAllByProbe', probe, pageParams);
  // }

  public read(id: number): Observable<InfraHost> {
    return this.rpcService.call('InfraHostService.read', id);
  }
}
