import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaInfraType, MetaInfraVendor } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaInfraVendorService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAllByMetaInfraTypeID(metaInfraTypeID: number): Observable<MetaInfraVendor[]> {
    return this.rpcService.call('MetaInfraVendorService.readAllByMetaInfraTypeID', metaInfraTypeID);
  }
}
