import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { UIModule } from '@overflow/shared/ui/ui.module';

import { COMPONENTS } from './component';
import { SERVICES } from './service';

@NgModule({
  imports: [
    CommonModule,
    UIModule,
  ],
  declarations: [
    COMPONENTS,
  ],
  exports: [
    COMPONENTS,
  ],
  providers: [
    SERVICES,
  ],
})
export class SensorItemModule { }
