import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { UIModule } from '@overflow/shared/ui/ui.module';
import { AlertModule } from '@overflow/alert/alert.module';

import { AlertPageRoutingModule } from './alert-page-routing.module';
import { AlertPageComponent } from './alert-page.component';

@NgModule({
  imports: [
    CommonModule,
    AlertPageRoutingModule,
    // NotificationModule,
    UIModule,
    AlertModule
  ],
  declarations: [
    AlertPageComponent,
  ]
})
export class AlertPageModule { }
