import { Component, OnInit } from '@angular/core';
import { BreadcrumbService } from '@app/commons/service/breadcrumb.service';

@Component({
  selector: 'of-pages-noauth-probe',
  templateUrl: './noauth-probe-page.component.html',
})
export class NoAuthProbePageComponent {

  constructor(
    private breadcrumbService: BreadcrumbService
  ) {
    breadcrumbService.setItems([
      { label: 'Probe', routerLink: ['/probe/list'] },
      { label: 'Unauthroized', routerLink: ['/probe/noauth'] },
    ]);
  }
}
