import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { UIModule } from '@overflow/shared/ui/ui.module';
import { SensorModule } from '@overflow/sensor/sensor.module';

import { SensorPageComponent } from './sensor-page.component';
import { SensorPageRoutingModule } from './sensor-page-routing.module';

@NgModule({
  imports: [
    CommonModule,
    UIModule,
    SensorPageRoutingModule,
    SensorModule,
  ],
  entryComponents: [
  ],
  declarations: [SensorPageComponent]
})
export class SensorPageModule { }
